<?php
/**
 * @package n3tTemplate
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2010 - 2011 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

class n3tTemplateHelperACL extends JObject
{

	function __construct()
	{
		$params =& JComponentHelper::getParams('com_n3ttemplate');
		$acl = & JFactory::getACL();
		switch ($params->get('acl','author'))
		{
			case 'registered':
				$acl->addACL( 'com_n3ttemplate', 'button', 'users', 'registered' );
			case 'editor':
				$acl->addACL( 'com_n3ttemplate', 'button', 'users', 'editor' );
			case 'author': 
				$acl->addACL( 'com_n3ttemplate', 'button', 'users', 'author' );
			case 'publisher':
				$acl->addACL( 'com_n3ttemplate', 'button', 'users', 'publisher' );				
			case 'manager':
				$acl->addACL( 'com_n3ttemplate', 'button', 'users', 'manager' );				
			case 'administrator':
				$acl->addACL( 'com_n3ttemplate', 'button', 'users', 'administrator' );				
			case 'super administrator':
				$acl->addACL( 'com_n3ttemplate', 'button', 'users', 'super administrator' );				
		}    	    	 
		switch ($params->get('acl_admin','manager'))
		{
			case 'manager':
				$acl->addACL( 'com_n3ttemplate', 'admin', 'users', 'manager' );				
			case 'administrator':
				$acl->addACL( 'com_n3ttemplate', 'admin', 'users', 'administrator' );				
			case 'super administrator':
				$acl->addACL( 'com_n3ttemplate', 'admin', 'users', 'super administrator' );				
		}    	    	 
	}
	
  function &getInstance()
	{
		static $instance;

		if (!isset ($instance)) {
			$instance = new n3tTemplateHelperACL();
		}

		return $instance;
	} 
	
  function authorize() {
    n3tTemplateHelperACL::getInstance();
		$user = & JFactory::getUser();
		return $user->authorize( 'com_n3ttemplate', 'button' );
  }

  function authorizeAdmin() {
    n3tTemplateHelperACL::getInstance();
		$user = & JFactory::getUser();
		return $user->authorize( 'com_n3ttemplate', 'admin' );
  }

}
?>