<?php
/**
 * @package n3tTemplate
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2010 - 2011 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.model');

class n3tTemplateModelConfig extends JModel{

	function __construct()
	{
		parent::__construct();
	}

	function &getParams()
	{
		static $instance;

		if ($instance == null)
		{
			$component	= JRequest::getCmd( 'option' );

  		$table =& JTable::getInstance('component');
			$table->loadByOption( $component );

			$path	= JPATH_ADMINISTRATOR.DS.'components'.DS.$component.DS.'config.xml';

			if (file_exists( $path )) {
				$instance = new JParameter( $table->params, $path );
			} else {
				$instance = new JParameter( $table->params );
			}
		}
		return $instance;
	} 
	
	function store($data)
	{
	  $component = JRequest::getCmd( 'option' ); 
		$table =& JTable::getInstance('component');
		$table->loadByOption( $component );
		$table->bind($data);

		if (!$table->check()) {
			$this->setError($table->getError());
			return false;
		}

		if (!$table->store()) {
			$this->setError($table->getError());
			return false;
		}    
		return true;
	}

}