<?php
/**
 * @package n3tTemplate
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2010 - 2011 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted Access');

JHTML::_('behavior.mootools'); 
JHTML::script('mootree.js');
JHTML::stylesheet('mootree.css');

$app=& JFactory::getApplication();		
if ($app->isAdmin()) {		
  $mootree_url=JURI::base('true').'/components/com_n3ttemplate/assets/mootree/';
} else {
  $mootree_url=JURI::base('true').'/administrator/components/com_n3ttemplate/assets/mootree/';
}   

$eName	= JRequest::getVar('e_name');
$eName	= preg_replace( '#[^A-Z0-9\-\_\[\]]#i', '', $eName );
?>
<script language="javascript" type="text/javascript">

var tree;

function insertTemplate()
{	
  if (tree.selected && tree.selected.data.template) {
    new Ajax('index.php?option=com_n3ttemplate&view=button&task=template&id='+tree.selected.data.template, {
     method : 'get',
     onComplete : function(response) {
       window.parent.jInsertEditorText(response, '<?php echo $eName; ?>');
       window.parent.document.getElementById('sbox-window').close();
     }
    }).request();    
	}
	return false;
}
			
window.addEvent('domready', function() {
  tree = new MooTreeControl({
    div: 'n3tTemplateTree',
    mode: 'files',
    grid: true,
    theme: '<?php echo $mootree_url; ?>theme.gif',
<?php if ($this->params->get( 'show_preview', 1 )) { ?>
    onSelect: function(node, state) {
      if (state && node.data.template) {
         $('n3tTemplatePreview').setProperty('src', 'index.php?option=com_n3ttemplate&view=button&task=preview&tmpl=component&id='+node.data.template); 
      }
    },
<?php } ?>    
    loader: {icon:'<?php echo $mootree_url; ?>loader.gif', text:'<?php echo JText::_('COM_N3TTEMPLATE_LOADING'); ?>', color:'a0a0a0'}    
  },{
    text: '<?php echo JText::_('COM_N3TTEMPLATE_TEMPLATES'); ?>',
    open: true
  });
  
  tree.root.load('index.php?option=com_n3ttemplate&view=button&format=xml');			
});
</script>  
<div id="n3tTemplateWrapper">
  <div id="n3tTemplateButtons">
    <button onclick="insertTemplate();"><?php echo JText::_( 'COM_N3TTEMPLATE_INSERT_TEMPLATE' ); ?></button> 
  </div>
  <div id="n3tTemplateTree"<?php echo $this->params->get( 'show_preview', 1 ) ? '' : ' class="n3tTemplateTreeFull"'; ?>>
  </div>
  <?php if ($this->params->get( 'show_preview', 1 )) { ?>
  <iframe id="n3tTemplatePreview"></iframe>
  <?php } ?>
</div>