<?php
/**
 * @package n3tTemplate
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2010 - 2011 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted Access');

jimport('joomla.application.component.model');

class n3tTemplateModelButton extends JModel
{  
 
	public function __construct()
	{
		parent::__construct();
	}

  function getTemplate() {
		$this->_db->setQuery( 'SELECT template '.
      'FROM #__n3ttemplate_templates '.
      'WHERE id='.JRequest::getInt('id',0).' AND published=1 ' );
    return $this->_db->loadResult();  
  }
  
  function _loadXml($id, $indent = "\t") {
		$this->_db->setQuery( 'SELECT id, title, 1 AS category, params '.
      'FROM #__n3ttemplate_categories '.
      'WHERE parent_id='.$id.' AND published=1 '.
      'ORDER BY ordering ASC' );
		$items = $this->_db->loadObjectList();
		      
		$this->_db->setQuery( 'SELECT id, title, 0 AS category, params '.
      'FROM #__n3ttemplate_templates '.
      'WHERE category_id='.$id.' AND published=1 '.
      'ORDER BY ordering ASC' );
    $items = array_merge($items, $this->_db->loadObjectList());
    
    $return = '';
		foreach ($items as &$item) {  		  
		  if ($item->category)
	      $params = new JParameter( $item->params, JPATH_COMPONENT.DS.'params'.DS.'category.xml' );  
      else 
	      $params = new JParameter( $item->params, JPATH_COMPONENT.DS.'params'.DS.'template.xml' );
  		$return.= "\n".$indent.'<node';
  		$return.= ' text="'.htmlspecialchars($item->title).'"';
  		if ($item->category) {
  		  $return.= ' icon="_closed"';
  		  $return.= ' openicon="_open"';
  		  if ($params->get('load_expanded', 0))  
          $return.= ' open="true"'; 
        else 
    		  $return.= ' load="index.php?option=com_n3ttemplate&amp;view=button&amp;format=xml&amp;id='.$item->id.'"';
      } else {
        $return.= ' icon="_doc"';
        $return.= ' template="'.$item->id.'"';
      }
      if ($item->category && $params->get('load_expanded', 0))
        $return.= '>'.$this->_loadXml($item->id, $indent."\t")."\n".$indent.'</node>';
      else
    		$return.= ' />';                
    }            
    return $return;				  
  }

  function getXml() {
    $return = '<?xml version="1.0" encoding="UTF-8"?'.'>'."\n";
    $return.= '<nodes>';
    $return.=$this->_loadXml(JRequest::getInt('id',0))."\n";
    $return.= '</nodes>';
    return $return;
  }

}