<?php
/**
 * @package n3tTemplate
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2010 - 2011 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class n3tTemplateViewTemplate extends JView {

	function display($tpl=null) {
    $this->loadHelper('html');     
	       		
		n3tTemplateHelperHTML::assets();
		
	  JToolBarHelper::save();	  
    JToolBarHelper::cancel();    			
			
    $db	=& JFactory::getDBO();
    $user 	=& JFactory::getUser(); 
    $model	=& $this->getModel();
    $app = &JFactory::getApplication();
    $editor =& JFactory::getEditor();  
      	
		$data=&$this->get('data');
		
		if ($data->id) 
		  n3tTemplateHelperHTML::toolbarTitle($data->title);
		else		
		  n3tTemplateHelperHTML::toolbarTitle(JText::_('COM_N3TTEMPLATE_NEW_TEMPLATE'));
		
		if ($model->isCheckedOut( $user->get('id') )) {
			$msg = JText::_( 'COM_N3TTEMPLATE_BEING_EDITED' );
			$app->redirect( 'index.php?option=com_n3ttemplate', $msg );
		}
    		
		$lists = array();
		$query = 'SELECT ordering AS value, title AS text'
			. ' FROM #__n3ttemplate_templates'
			. ' WHERE category_id='.$data->category_id
			. ' ORDER BY ordering';		
    $lists['ordering'] 			= JHTML::_('list.specificordering',  $data, $data->id, $query );  
		$lists['published'] 		= JHTML::_('select.booleanlist',  'published', 'class="inputbox"', $data->published );
      			
    JFilterOutput::objectHTMLSafe( $data, ENT_QUOTES, 'template' );
       			
		$file 	= JPATH_COMPONENT.DS.'params'.DS.'template.xml';
		$params = new JParameter( $data->params, $file );
		
		$this->assignRef('lists',		$lists);
		$this->assignRef('data',		$data);
		$this->assignRef('params',		$params);		
		$this->assignRef('editor',		$editor);
        			
		parent::display($tpl);
	}
	
}
?>